import * as THREE from 'three';
import { VRMBlendShapeMaster } from './VRMBlendShapeMaster';
import { VRMFirstPerson } from './VRMFirstPerson';
import { VRMHumanoid } from './VRMHumanoid';
import { VRMMaterialProperty } from './VRMMaterialProperty';
import { VRMMeta } from './VRMMeta';
import { VRMSecondaryAnimation } from './VRMSecondaryAnimation';
declare class GLTF {
    scene: THREE.Scene;
    scenes: THREE.Scene[];
    cameras: THREE.Camera[];
    animations: THREE.AnimationClip[];
    asset: Asset;
    parser: any;
    userData: any;
}
export declare class Asset {
    copyright?: string;
    generator?: string;
    version: string;
    minVersion?: string;
    extensions?: object;
    extras?: any;
}
export declare class VRM {
    asset: Asset;
    scene: THREE.Scene;
    parser: any;
    userData: any;
    materialProperties: VRMMaterialProperty[];
    humanoid: VRMHumanoid;
    meta: VRMMeta;
    blendShapeMaster: VRMBlendShapeMaster;
    firstPerson: VRMFirstPerson;
    secondaryAnimation: VRMSecondaryAnimation;
    private meshes;
    private blendShapeWeights;
    constructor();
    fromGLTF(gltf: GLTF): Promise<this>;
    getBlendShapeWeight(index: number): number;
    setBlendShapeWeight(index: number, value: number): void;
}
export {};
